Bug 1717883 - [RFE] Add logs about tasks state changes
Summary: [RFE] Add logs about tasks state changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Ivan Necas
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-06 11:52 UTC by Ivan Necas
Modified: 2019-10-22 12:47 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.15.2-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26626 Normal Closed Add logs about tasks state changes 2020-01-10 17:40:33 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:49 UTC

Description Ivan Necas 2019-06-06 11:52:20 UTC
The logs should contain information about the state change of a task, including task_id, execution plan id, new state and result (for paused and stopped tasks), for example:

<pre>
2019-04-16T14:22:10 [I|bac|] Task {label: Actions::Try::Pause, id: 759dfb3d-f14a-4112-b336-e6f65e3e5eb9, execution_plan_id: 75d6e6fc-bc18-4e60-8d34-5a5a7d5dccb0} state changed: planning 
2019-04-16T14:22:10 [I|bac|] Task {label: Actions::Try::Pause, id: 759dfb3d-f14a-4112-b336-e6f65e3e5eb9, execution_plan_id: 75d6e6fc-bc18-4e60-8d34-5a5a7d5dccb0} state changed: planned 
2019-04-16T14:22:10 [I|bac|] Task {label: Actions::Try::Pause, id: 759dfb3d-f14a-4112-b336-e6f65e3e5eb9, execution_plan_id: 75d6e6fc-bc18-4e60-8d34-5a5a7d5dccb0} state changed: running 
2019-04-16T14:22:10 [I|bac|] Task {label: Actions::Try::Pause, id: 759dfb3d-f14a-4112-b336-e6f65e3e5eb9, execution_plan_id: 75d6e6fc-bc18-4e60-8d34-5a5a7d5dccb0} state changed: paused  result: error
</pre>

Comment 1 Ivan Necas 2019-06-06 11:52:22 UTC
Created from redmine issue https://projects.theforeman.org/issues/26626

Comment 2 Ivan Necas 2019-06-06 11:52:27 UTC
Upstream bug assigned to inecas@redhat.com

Comment 6 Peter Ondrejka 2019-07-04 13:06:19 UTC
Verified on Sat 6.6 snap 8, task state changes are now part of production log

Comment 8 errata-xmlrpc 2019-10-22 12:47:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.